( ClassSuperPowerTypes = function()
{
    this.UNIDIRECTIONAL = function()
    {
        return new SuperPower( [1, 2, 3, 4], 0, [3], [1], [2] );
    }
    this.BIDIRECTIONAL = function()
    {
        return new SuperPower( [5, 6], 2000 );
    }
    this.CROSSED = function()
    {
        return new SuperPower( [7], 6000 );
    }
    this.L = function()
    {
        return new SuperPower( [8, 9, 10, 11], 6000, [10, 11], [8, 9], [9, 10] );
    }
    this.SPIRAL = function()
    {
        return new SuperPower( [12, 13], 10000 );
    }
    this.MAGNETIC = function()
    {
        return new SuperPower( [14], 15000 );
    }

} );


( SuperPowerTypes = new ClassSuperPowerTypes() );